kha-class {kernlab} | R Documentation

## Class "kha"

### Description

The Kernel Hebbian Algorithm class

### Objects objects of class "kha"

Objects can be created by calls of the form `new("kha", ...)`. or by calling the `kha` function.

### Slots

`pcv`:

  Object of class `"matrix"` containing the principal component vectors

`eig`:

  Object of class `"vector"` containing the corresponding normalization values

`eskm`:

  Object of class `"vector"` containing the kernel sum

`kernelf`:

  Object of class `"kfunction"` containing the kernel function used

`kpar`:

  Object of class `"list"` containing the kernel parameters used

`xmatrix`:

  Object of class `"matrix"` containing the data matrix used

`kcall`:

  Object of class `"ANY"` containing the function call

`n.action`:

  Object of class `"ANY"` containing the action performed on NA

### Methods

eig

  `signature(object = "kha")`: returns the normalization values

kcall

  `signature(object = "kha")`: returns the performed call

kernelf

  `signature(object = "kha")`: returns the used kernel function

pcv

  `signature(object = "kha")`: returns the principal component vectors

eskm

  `signature(object = "kha")`: returns the kernel sum

predict

  `signature(object = "kha")`: embeds new data

xmatrix

  `signature(object = "kha")`: returns the used data matrix

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`kha`, `ksvm-class`, `kcca-class`

### Examples

    # another example using the iris
    data(iris)
    test <- sample(1:50,20)

    kpc <- kha(~.,data=iris[-test,-5], kernel="rbfdot",
               kpar=list(sigma=0.2),features=2, eta=0.001, maxiter=65)

    #print the principal component vectors
    pcv(kpc)
    kernelf(kpc)
    eig(kpc)

[Package kernlab version 0.9-27 Index]